
ctools - Bug #2883

csresspec does not work correctly for per observation background model in stacked mode for On/Off

observations

05/05/2019 11:47 AM - Knödlseder Jürgen

Status: Closed Start date: 05/05/2019

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

When running csresspec in stacked mode for On/Off observations with a background model per observation the script overestimates

the background.

The reason is that csresspec stacks the observations in the run() method, but then uses the original model container, effectively

adding each background model component for the stacked observation. We need to stack differently after computing the source and

model components, so that the models are correctly taken into account.

History

#1 - 05/06/2019 09:22 AM - Knödlseder Jürgen

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

Instead of stacking the observations the residuals are now stacked, allowing to use observation specific models in the computation.

The code was moved to the integration branch.

#2 - 05/06/2019 06:05 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

Merged into devel.
